package com.fastbee.data.service.devicedetail.impl;

import com.fastbee.common.model.vo.iot.QueryLogVo;
import com.fastbee.data.service.devicedetail.IDeviceDetailService;
import com.fastbee.iot.domain.Device;
import com.fastbee.iot.mapper.DeviceMapper;
import com.fastbee.waterele.domain.MaWatereleRecord;
import com.fastbee.waterele.domain.dto.MaGuangaiRecordDto;
import com.fastbee.waterele.domain.dto.MaWatereleRecordDto;
import com.fastbee.xunjian.domain.XjInspectionRecords;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class DeviceDetailServiceImpl implements IDeviceDetailService {

    private final DeviceMapper deviceMapper;

    public DeviceDetailServiceImpl(DeviceMapper deviceMapper) {
        this.deviceMapper = deviceMapper;
    }

    @Override
    public List<MaWatereleRecord> shuakaRecord(MaWatereleRecordDto maWatereleRecordDto) {
        //todo
        return Collections.emptyList();
    }

    @Override
    public List<MaGuangaiRecordDto> guangaiRecord(MaGuangaiRecordDto maWatereleRecordDto) {
        //todo
        return Collections.emptyList();
    }

    @Override
    public List<Device> getBindDevices(String ids) {
        String[] idArray = ids.split(",");
        List<Long> idList = new ArrayList<>();
        for (String id : idArray) {
            try {
                idList.add(Long.parseLong(id));
            } catch (Exception e) {
            }
        }
        List<Device> devices = deviceMapper.selectDeviceListByDeviceIds(idList);
        return devices;
    }

    @Override
    public List<HashMap<String, Object>> gongdianChart(QueryLogVo queryLogVo) {
        //todo
        return Collections.emptyList();
    }

    @Override
    public List<XjInspectionRecords> xunjianRecord(QueryLogVo queryLogVo) {
        //todo
        return Collections.emptyList();
    }


}
